unit Unit1;

interface

uses
  Windows, Forms, Registry, Buttons, StdCtrls, ShellAPI, jpeg, ExtCtrls, Dialogs, Classes,
  Graphics, Controls, SysUtils;

type
  TForm1 = class(TForm)
    SpeedButton1: TSpeedButton;
    Label1: TLabel;
    Label2: TLabel;
    Image1: TImage;
    SpeedButton2: TSpeedButton;
    Label4: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    procedure SetCreateKey(SelectRootKey: HKEY; SelectKey: string; NewKey: string);
    procedure SetWriteString(SelectRootKey: HKEY; SelectKey: string; NewValueName: string; Value: string);
    function GetDeleteKey(SelectRootKey: HKEY; SelectKey: string; Key: string): Boolean;
    procedure SpeedButton1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.SetCreateKey(SelectRootKey: HKEY; SelectKey: string; NewKey: string);
begin

  with TRegistry.Create do
    begin
      try
        RootKey := SelectRootKey;
        OpenKey(SelectKey, True);
        if not KeyExists(NewKey) then
          CreateKey(NewKey);
      finally
       Free;
      end;
    end;

end;

procedure TForm1.SetWriteString(SelectRootKey: HKEY; SelectKey: string; NewValueName: string; Value: string);
begin

  with TRegistry.Create do
    begin
      try
        RootKey := SelectRootKey;
        OpenKey(SelectKey, True);
        WriteString(NewValueName, Value);
      finally
       Free;
      end;
    end;

end;

function TForm1.GetDeleteKey(SelectRootKey: HKEY; SelectKey: string; Key: string): Boolean;
begin

  with TRegistry.Create do
    begin
      try
        RootKey := SelectRootKey;
        OpenKey(SelectKey, True);
        Result := DeleteKey(Key);
      finally
       Free;
      end;
    end;

end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  // Cl : HKCR\Directory\shell
  // Etape 1 : Ajouter une cl, par exemple "MonApplication"
  // Etape 2 : Ajouter une cl "Command"
  // Etape 3 : Dans la cl Command  droite, cliquez sur (par valeur) et ajoutez la donnes de la valeur.
  // Valeur : (par dfaut)
  // Compatibilits : 95, 98, Me, NT, 2K
  // Type : REG_SZ
  // Donnes de la valeur : calc %1

  SetCreateKey(HKEY_CLASSES_ROOT,'Directory\shell', 'MonApplication');
  SetCreateKey(HKEY_CLASSES_ROOT,'Directory\shell\MonApplication', 'Command');
  SetWriteString(HKEY_CLASSES_ROOT,'Directory\shell\MonApplication\Command', '', 'calc %1');
  MessageDlg('Votre configuration a t modifie avec succs !', mtinformation, [mbOk], 0);
end;



procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  // Efface la valeur
  GetDeleteKey(HKEY_CLASSES_ROOT, 'Directory\shell\MonApplication', 'Command');
  GetDeleteKey(HKEY_CLASSES_ROOT, 'Directory\shell', 'MonApplication');
  MessageDlg('Votre configuration d''origine a t rtablie avec succs !', mtinformation, [mbOk], 0)
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
 shellexecute(0,'open', 'http://www.dev-zone.com/faq/bdr/fqbdr_index.php', nil, nil, SW_SHOWMAXIMIZED	);
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  // Cl : HKCR\exefile\shell
  // Etape 1 : Ajouter une cl, par exemple "MonApplicationExe"
  // Etape 2 : Ajouter une cl "Command"
  // Etape 3 : Dans la cl Command  droite, cliquez sur (par valeur) et ajoutez la donnes de la valeur.
  // Valeur : (par dfaut)
  // Compatibilits : 95, 98, Me, NT, 2K
  // Type : REG_SZ
  // Donnes de la valeur : calc %1

  SetCreateKey(HKEY_CLASSES_ROOT,'exefile\shell', 'MonApplicationExe');
  SetCreateKey(HKEY_CLASSES_ROOT,'exefile\shell\MonApplicationExe', 'Command');
  SetWriteString(HKEY_CLASSES_ROOT,'exefile\shell\MonApplicationExe\Command', '', 'calc %1');
  MessageDlg('Votre configuration a t modifie avec succs !', mtinformation, [mbOk], 0);
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
  // Efface la valeur
  GetDeleteKey(HKEY_CLASSES_ROOT, 'exefile\shell\MonApplicationExe', 'Command');
  GetDeleteKey(HKEY_CLASSES_ROOT, 'exefile\shell', 'MonApplicationExe');
  MessageDlg('Votre configuration d''origine a t rtablie avec succs !', mtinformation, [mbOk], 0)
end;

end.
